; Initialize the sprite and keyboard systems and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or OpenScreen(640,480,16,"App Title") = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
EndIf

ClearColor = RGB(0,0,0) 

Repeat
  ClearScreen(ClearColor)
  If StartDrawing(ScreenOutput()) 
     For lines = 0 To 1000
         ; choose random colors
         r = Random(255)
         g = Random(255)
         b = Random(255)       
         ; draw out the line in the selected color, at random places and sizes
         LineXY(Random(639),Random(449),Random(150),Random(150),RGB(r,g,b))
     Next
     DrawText(0,460,"Press any key to exit...")
   Else
     MessageRequester("Error!", "Unable to Draw to ScreenOutput()", #PB_MessageRequester_Ok)
     End
   EndIf

   StopDrawing()

   ; show the output to the users
   FlipBuffers()
   
   ; see if the user has pressed a key
   ExamineKeyboard()
   Delay(1)
Until KeyboardPushed(#PB_Key_All)

; end the program
End

; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 1