 ;****************************************************
 ; Sample library just to show how to set one up.
 ;****************************************************
 ;     Author: John Logsdon
 ;   Last Upd: 8/22/2012

 ;****************************************************
 ;  Procedure: AddNumbers()
 ;    Purpose: add two numbers and return the result
 ;       Args: Two numbers
 ;    Returns: Byte - Sum of the two numbers sent 
 ;****************************************************
 Procedure.b AddNumbers(iNumber1.b, iNumber2.b)
     iSum.b = iNumber1 + iNumber2
     ProcedureReturn(iSum)
 EndProcedure

 ;****************************************************
 ;   Procedure: AvgNumbers()
 ;    Purpose: Find the average of 3 floats
 ;       Args: Two floats
 ;    Returns: Sum of the two numbers sent
 ;****************************************************
 Procedure.f AvgNumbers(float1.f, float2.f, float3.f)
     avg.f = (float1 + float2 + float3) / 3
     ProcedureReturn(avg)
 EndProcedure

 ;****************************************************
 ;  Procedure: WaitKey()
 ;    Purpose: Wait for a keypress
 ;****************************************************
 Procedure WaitKey()
    Repeat 
       ExamineKeyboard()
    Until KeyboardReleased(#PB_Key_All)
 EndProcedure

; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 31
; Folding = -