; setup our Screen Width and Height here for easier tracking
#ScreenWidth  = 640
#ScreenHeight = 480

; Initialize the sprite and keyboard, sound, and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or InitSound() = 0 Or OpenScreen(#ScreenWidth,#ScreenHeight,16,"App Title") = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
EndIf

ClearColor = RGB(0,0,0)

; Thanks to Derlidio for donating this MOD!
; Load up he module, give it the id of 1
ModID = LoadModule(#PB_Any,"sounds\music.it")

; play the module
PlayModule(ModID)

Repeat
  ; clear the screen
  ClearScreen(ClearColor)
  
  ExamineKeyboard()

  ; put up text for information
  StartDrawing(ScreenOutput())
    DrawText(0,0, "Now playing: Derlidio's 'Get Ready!' mod :)")
    DrawText(0,400,"Press ESCAPE to quit")
  StopDrawing()
  
  FlipBuffers()
  
Until KeyboardReleased(#PB_Key_Escape)

; close down the module system
StopModule(ModID)

End
; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 36